/* ===================================================================
 * Music Spectrum Analyzer and Auto power control of Stereo Amplifier
 * ===================================================================
 * Module: ledNotifier.h 
 * A class to control status LED
 * ===================================================================
 * By: Zakie Mashiah
 * ===================================================================
 */

#ifndef __ledNotifier_h
#define __ledNotifier_h

class LedNotifier
{
	private:
		int redPin, greenPin, bluePin;
		bool amplifierOn;
		bool musicOn;
		bool sourceOn;
		unsigned long off_millis;
		unsigned long off_longTime;

		void openPin(int pin);
	
	public:
	LedNotifier(int red, int green, int blue, unsigned long deepSleep = 1000*60*60*5); // five minutes
    void Init(int r, int g, int b);
	void Init();
	void AmplifierPlaying();
	void AmplifierOff();
	void SourcePlaying();
	void SourceOff();
	void SetAmpState(bool state);
	void SetMusicState(bool state);
	void SetSourceState(bool state);
	bool isSourceOn();
	void Display();
};

#endif